Get tasks for entity and type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/task-types/{task_type_id}/tasks

Return tasks related to the entity (asset, episode, sequence, shot, or scene) for a task type.

Path parameters

  • entity_id string Required
  • task_type_id string Required

Responses

  • 200 application/json

    Tasks related to the entity and task type

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • task_type_id string(uuid)
    • task_status_id string(uuid)
    • entity_id string(uuid)
    • project_id string(uuid)
    • assignees array[string(uuid)]
GET /data/entities/{entity_id}/task-types/{task_type_id}/tasks
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/tasks" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/tasks"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/task-types/a24a6ea4-ce75-4665-a070-57453082c25/tasks' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "SH010 Animation",
    "task_type_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "c24a6ea4-ce75-4665-a070-57453082c25",
    "entity_id": "d24a6ea4-ce75-4665-a070-57453082c25",
    "project_id": "e24a6ea4-ce75-4665-a070-57453082c25",
    "assignees": [
      "f24a6ea4-ce75-4665-a070-57453082c25"
    ]
  }
]